function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_hall"
end

function p.__main()
    set_default_block("r_hall")
    
    std.create_tube(3, "z", "e")
    std.create_tube(3, "y", "e")
    std.create_half_tube(3, "x_pos", "e")
    
    local msg_str = "Welcome to (Basement) Floor 3! "
        .. "This level covers ^x00ff00Chapter 3^! of "
        .. "the Creation Manual pdf.\n\n"
        .. "Here you can learn the basics of how to create your own "
        .. "block scripts (the \"lua script\" files in "
        .. "the WorldNodes/Nodes directory). "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
